Skip to main content

List of Ticket Field Values

info

This method is available only for fields with the following types: Dropdown list (select), Related fields (hierarchy), Multi-button (multi_button)

GET /custom_fields/:field_id/options/


URL Example

https://system_domain/api/v2/custom_fields/123/options/?page=1


PATH Parameters

ParameterTypeRequiredDescription
field_idnumberYesID of the custom field

Query Parameters

ParameterTypeRequiredDescription
pagenumberNoPage number (50 values are displayed per page)

Response Example:

Response Example
{
"data": [
{
"id": 5,
"pid": 0,
"name": {
"ru": "Первое значение",
"en": "First option"
}
},
{
"id": 6,
"pid": 0,
"name": {
"ru": "Второе значение",
"en": "Second option"
}
}
],
"pagination": {
"total": 2,
"per_page": 50,
"current_page": 1,
"total_pages": 1
}
}